<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Referral extends Model
{
    use \App\Models\Concerns\BelongsToHotel;

    protected $guarded = [];

    public function referrer()
    {
        return $this->belongsTo(Customer::class, 'referrer_customer_id');
    }

    public function referred()
    {
        return $this->belongsTo(Customer::class, 'referred_customer_id');
    }
}
